<?php
require("../conexion.php");
include ("../funciones/fechas.php");

$cdgcli=$_POST["cdgcli"];
$dsccli=strtoupper($_POST["dsccli"]);
$numrec=$_POST["numrec"];
//$cdgtipven=$_POST["combotipoventa"];
$fechainicio=$_POST["fechainicio"];
$fechafin=$_POST["fechafin"];

$fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 



//$numrec2=$_POST["numrec2"];

$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($cdgcli <> "")    { $where.=" AND cdgcli='$cdgcli'"; } 
//if ($cdgtipven <> "") { $where.=" AND cdgtipven='$cdgtipven'"; }
//if ($numrec2 <> "") { $where.=" AND entregas_clientes_recibos.numrec='$numrec2'"; }

if ($numrec <> "") { $where.=" AND numrec='$numrec'"; }
if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND fecrec between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND fecrec>='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND fecrec<='".$fechafin."'";
		}
	}
}

if ($dsccli <> "") { $where.=" AND cdgcli > 0  AND dsccli like '%".$dsccli."%'"; }



 $where.=" ORDER BY numrec DESC LIMIT 300";
 

 ////////////////////////   Averigua el numero de FILAS ////////////////////////////
if ($result = $mysqli->query("SELECT cdgcli FROM entregas_clientes_recibos WHERE  ".$where )) {
  $filas = $result->num_rows;
   $result->close();
}


?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		


function imprimir(numrec) {

		window.open("../fpdf/imprimir_recibos_cli_PUNTO_VENTA.php?numrec="+numrec);	



}
		
	function ver_recibo(numrec) {

		
		parent.location.href="ver_recibo_guardado.php?numrec=" + numrec + "&cadena_busqueda=<?php echo $cadena_busqueda?>";	

		}
		

	//////////////////////////////////////  funcion anular factura //////////////////////////////////////////////////////
		
		function eliminar_recibo(codfactura) {
			
			parent.location.href="eliminar_recibo.php?codfactura=" + codfactura ;
			
			
		}

					      

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalfacturas.value=document.getElementById("totalfacturas").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalfacturas" id="totalfacturas" value="<?php echo $totalfacturas?>">

<?php
$contador=0;
if ( $filas > 0) {
 
$consulta2 = "SELECT numrec FROM entregas_clientes_recibos WHERE   ".$where ;

if ($resultado2 = $mysqli->query($consulta2)) 


  
    while ($fila2 = $resultado2->fetch_assoc()) {
    
	$numrec = $fila2["numrec"];
 

$consulta = "SELECT * FROM entregas_clientes_recibos WHERE   entregas_clientes_recibos.numrec='$numrec' ";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

$numrec = $fila["numrec"];

        $fecha = $fila["fecrec"];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));
        $numfac = $fila["numfac"];
		$cdgcli = $fila["cdgcli"];
		$dsccli = $fila["dsccli"];
		$cdgven = $fila["cdgusu"];		
        $dsccli = substr($dsccli, 0, 55); 
		$estado = $fila["estado"];
		


  $resultado->close();

$consultau = "SELECT * FROM usuarios WHERE codusu='$cdgven'";
$resultadou = $mysqli->query($consultau);
$rowu = $resultadou->fetch_array();
$vendedor  = $rowu["usu"];

		
		if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
		<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

								<td width="15%"><div align="center"><?php echo $numrec ?> </div></td>
								<td width="14%" align="center"><div align="center"><?php echo $fecha?></div></td>

								<td width="32%"><div align="center"><?php echo 	"[".$cdgcli."] " .$dsccli?></div></td>	

                                <td width="12%"><div align="center"><?php echo $vendedor; ?></div></td>

		
								<td width="2%">&nbsp;</td>
								<td width="2%"><a href="#"><img src="../img/punto_venta.fw.png" alt="im" width="32" height="32" border="0" title="imprimir" onClick="imprimir(<?php echo $numrec  ?>)"></a></td>
								<td width="2%"><div align="center"><a href="#"><img src="../img/Search_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="ver_recibo(<?php echo  $numrec ?>)" title="Visualizar"></a></div></td>
                                <td width="2%"><a href="#"><img src="../img/Remove_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="eliminar_recibo('<?php  echo $numrec ?>'  )" title="Anular Recibo de Entrega"></a></td>
                                														
						</tr>
						</tr>	
						<?php $contador++;
							}
		 $resultado2->close();				
							
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo 	"No hay ningun Recibo que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>					
		  </div>
			</div>
		  </div>			
		</div>
	</body>
</html>